Package Base Details: libindicate

Git Clone URL: https://aur.archlinux.org/libindicate.git (read-only)
Submitter: max.bra
Maintainer: gerito
Last Packager: gerito
Votes: 71
Popularity: 0.000000
First Submitted: 2009-11-16 20:50
Last Updated: 2015-11-14 03:45

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

fjim commented on 2012-04-13 04:58

Same problem as @banditsan, I need it to update qutim.

banditsan commented on 2012-04-02 17:16

Making all in bindings
make[2]: Entering directory `/tmp/makepkg/src/libindicate-0.6.1/bindings'
Making all in mono
make[3]: Entering directory `/tmp/makepkg/src/libindicate-0.6.1/bindings/mono'
Making all in indicate
make[4]: Entering directory `/tmp/makepkg/src/libindicate-0.6.1/bindings/mono/indicate'
Making all in .
make[5]: Entering directory `/tmp/makepkg/src/libindicate-0.6.1/bindings/mono/indicate'
/usr/bin/gmcs -keyfile:./indicate.snk -nowarn:0169,0612,0618 -unsafe -out:indicate-sharp.dll -target:library -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/pango-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/atk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gdk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gtk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glib-sharp.dll ./generated/*.cs AssemblyInfo.cs
./generated/Listener.cs(30,139): error CS1001: Unexpected symbol `,', expecting identifier
./generated/Listener.cs(33,43): error CS1525: Unexpected symbol `(', expecting `[', `{', or `type'
./generated/Listener.cs(33,45): error CS0201: Only assignment, call, increment, decrement, and new object expressions can be used as a statement
Compilation failed: 3 error(s), 0 warnings
make[5]: *** [indicate-sharp.dll] Error 1
make[5]: Leaving directory `/tmp/makepkg/src/libindicate-0.6.1/bindings/mono/indicate'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/tmp/makepkg/src/libindicate-0.6.1/bindings/mono/indicate'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/tmp/makepkg/src/libindicate-0.6.1/bindings/mono'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/tmp/makepkg/src/libindicate-0.6.1/bindings'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/makepkg/src/libindicate-0.6.1'
make: *** [all] Error 2

Anonymous comment on 2012-03-02 13:18

Thanks.

City-busz commented on 2012-03-02 12:07

Fixed by adding gtk-sharp-2 to makedepends.

Not all makedepends are required on runtime, so I'll keep both makedepends and depends array.

Anonymous comment on 2012-03-02 11:48

First, like I just explained on the mailing list, makedepends should be depends, since they are runtime and not only buildtime dependencies.
Second, this package fails to build with this error:

Making all in indicate
make[4]: Entering directory `/tmp/yaourt-tmp/aur-libindicate/src/libindicate-0.6.1/bindings/mono/indicate'
cp ./indicate-api.raw indicate-api.middle
chmod u+w indicate-api.middle
no --api=indicate-api.middle --metadata=./indicate-api.metadata
Making all in .
/bin/sh: line 2: no: command not found
make[4]: *** [indicate-api.middle] Error 127
make[4]: *** Waiting for unfinished jobs....
make[5]: Entering directory `/tmp/yaourt-tmp/aur-libindicate/src/libindicate-0.6.1/bindings/mono/indicate'
sed -e "s|PROP_ID_S|ID|" \
-e "s|PROP_ID_S|id|" \
-e "s|PROP_MENU|Menu|" \
-e "s|PROP_MENU|menu|" \
-e "s|PROP_DESKTOP|Desktop|" \
-e "s|PROP_DESKTOP|desktop|" \
indicate-api.middle > indicate-api.xml
rm -f generated/* && \
no --generate indicate-api.xml \
--customdir=. \
--outdir=generated --assembly-name=indicate \
&& touch generated-stamp
/bin/sh: line 1: no: command not found
make[5]: *** [generated-stamp] Error 127
make[5]: Leaving directory `/tmp/yaourt-tmp/aur-libindicate/src/libindicate-0.6.1/bindings/mono/indicate'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/tmp/yaourt-tmp/aur-libindicate/src/libindicate-0.6.1/bindings/mono/indicate'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/tmp/yaourt-tmp/aur-libindicate/src/libindicate-0.6.1/bindings/mono'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/tmp/yaourt-tmp/aur-libindicate/src/libindicate-0.6.1/bindings'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/yaourt-tmp/aur-libindicate/src/libindicate-0.6.1'
make: *** [all] Error 2

mrbit commented on 2011-09-06 19:12

ok, thanks

City-busz commented on 2011-09-06 18:25

Fixed: gtk2-ubuntu added to makedepends

mrbit commented on 2011-09-05 21:31

Gdk-2.0.gir:24224.7-24224.6: error: `Gdk' already contains a definition for `utf8_to_compound_text'
<parameters>

gdk-2.0.vapi:2013.2-2013.41: note: previous definition of `utf8_to_compound_text' was here
public static bool utf8_to_compound_text (string str, out Gdk.Atom encoding, int format, uchar[] ctext, int length);
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Gdk-2.0.gir:24256.7-24256.6: error: `Gdk' already contains a definition for `utf8_to_compound_text_for_display'
<parameters>

gdk-2.0.vapi:2015.2-2015.53: note: previous definition of `utf8_to_compound_text_for_display' was here
public static bool utf8_to_compound_text_for_display (Gdk.Display display, string str, out Gdk.Atom encoding, int format, uchar[] ctext, int length);
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Gdk-2.0.gir:24296.7-24296.6: error: `Gdk' already contains a definition for `utf8_to_string_target'
<parameters>

gdk-2.0.vapi:2017.2-2017.51: note: previous definition of `utf8_to_string_target' was here
public static unowned string utf8_to_string_target (string str);
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Generation failed: 977 error(s), 0 warning(s)
make[2]: *** [IndicateGtk-0.6.vapi] Errore 1
make[2]: Leaving directory `/tmp/packerbuild-0/libindicate/libindicate/src/libindicate-0.5.91/build-gtk2/libindicate-gtk'
make[1]: *** [all-recursive] Errore 1
make[1]: Leaving directory `/tmp/packerbuild-0/libindicate/libindicate/src/libindicate-0.5.91/build-gtk2'
make: *** [all] Errore 2
==> ERRORE: Si è verificato un errore in build().
L'operazione sta per essere interrotta...
The build failed.

rufflove commented on 2011-06-08 21:42

libindicate-0.5.0.tar.gz md5sum d7e3a2905dac35144547af5b21aab9e9 ;) Yes thesame, the included deps really are deps.

schuay commented on 2011-06-04 17:46

Is there a reason this isn't being updated? 0.5.0 was released on 2011-03-31. Is there anyone else willing to maintain this?